# Class BAMIndexMetaData

java.lang.Object
htsjdk.samtools.BAMIndexMetaData

public class BAMIndexMetaData extends Object
Metadata about the bam index contained within the bam index. One instance created per index file.

## Method Summary

Modifier and Type
Method
Description
`int`
`getAlignedRecordCount()`
`static BAMIndexMetaData[]`
`getIndexStats(BAMFileReader bam)`
Prints meta-data statistics from BAM index (.bai or .csi) file Statistics include count of aligned and unaligned reads for each reference sequence and a count of all records with no start coordinate
`int`
`getUnalignedRecordCount()`
`static void`
`printIndexStats(File inputBamFile)`
Prints meta-data statistics from BAM index (.bai or .csi) file Statistics include count of aligned and unaligned reads for each reference sequence and a count of all records with no start coordinate

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAlignedRecordCount

public int getAlignedRecordCount()

Returns:
  the count of aligned records associated with this reference

### getUnalignedRecordCount

public int getUnalignedRecordCount()

Returns:
  the count of unaligned records associated with this reference

### printIndexStats

public static void printIndexStats(File inputBamFile)
Prints meta-data statistics from BAM index (.bai or .csi) file Statistics include count of aligned and unaligned reads for each reference sequence and a count of all records with no start coordinate

### getIndexStats

public static BAMIndexMetaData[] getIndexStats(BAMFileReader bam)
Prints meta-data statistics from BAM index (.bai or .csi) file Statistics include count of aligned and unaligned reads for each reference sequence and a count of all records with no start coordinate